(function () {
    'use strict';
    return {
        updateControl: function (control) {
            return control;
        },
        updateCss: function (css) {
            return css;
        },
        updateHtml: function (htmlDom, control) {
            htmlDom.find('.breadcrumb > *').remove();

            var list = htmlDom.find('.breadcrumb');

            var linkContent = $("<li><a href='#' class='" + control.link.classNames + " link'>Link</a></li>");

            list.append(linkContent);

            linkContent = $("<li><a href='#' class='" + control.link.classNames + " hovered'>Hovered</a></li>");
            list.append(linkContent);

            if (control.breadcrumbsText)
                list.append($('<li class="active"><span class="' + control.breadcrumbsText.classNames + '">Text</span></li>'));

            return htmlDom;
        }
    };
})();